Bug 1066405 (CVE-2013-4534)

Summary: CVE-2013-4534 qemu: openpic: buffer overrun on incoming migration
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acathrow, amit.shah, areis, berrange, bsarathy, cfergeau, dwmw2, ehabkost, gleb, itamar, jkurik, juzhang, knoel, minovotn, mkenneth, mst, mtosatti, pbonzini, pfrields, pmatouse, ppandit, rhod, rjones, scottt.tw, virt-maint, virt-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 12:09:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1095770, 1095771, 1095772    
Bug Blocks: 1036654    

Description Petr Matousek 2014-02-18 10:25:25 UTC
opp->nb_cpus is read from the wire and used to determine how many
IRQDest elements to read into opp->dst[]. If the value exceeds the
length of opp->dst[], MAX_CPU, opp->dst[] can be overrun with arbitrary
data from the wire.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=73d963c0a75cb99c6aaa3f6f25e427aa0b35a02e

Comment 1 Petr Matousek 2014-02-18 11:42:40 UTC
Statement:

Not vulnerable.

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6

Comment 3 Prasad Pandit 2014-05-08 13:38:01 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095770]

Comment 4 Fedora Update System 2014-05-16 09:58:17 UTC
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.